using Android.Bluetooth;

namespace SalesDemo_DevGr_A.ListView
{
    public class DataItem : IListItem
    {
        public DataItem(string title, string subtitle, BluetoothDevice device)
        {
            Text = title;
            SubTitle = subtitle;
            BluetoothDev = device;
        }

        public string SubTitle { get; }
        public BluetoothDevice BluetoothDev { get; }
        public string Text { get; set; }

        public ListItemType GetListItemType()
        {
            return ListItemType.DataItem;
        }
    }
}